﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NDSD_Screwdriver.Entity
{
    public class MonitorEntity
    {
        /// <summary>
        /// 每一行中元素的集合
        /// </summary>
        public List<RowEntity> RowEntitys { get; set; }

        /// <summary>
        /// 行编号
        /// </summary>
        public int RowIndex { get; set; }
    }

    public class RowEntity
    {
        /// <summary>
        /// 列编号
        /// </summary>
        public int ColumnIndex { get; set; }

        /// <summary>
        /// 方格颜色
        /// </summary>
        public Brush Color { get; set; } = Brushes.Transparent;

        /// <summary>
        /// 方格值
        /// </summary>
        public string Value { get; set; } = "";
    }
}
